Arch Space/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/ru |Name=Arch Space |Name=Arch Space |Workbenches=Arch |MenuLocation=Архитектура → Пространство |Shortcut=S P }}")
 
(Updating to match new version of source page)
 
(43 intermediate revisions by 8 users not shown)
Line 1: Line 1:
<languages/>

{{Docnav/ru
|[[Arch_SectionPlane/ru|Плоскость Сечения]]
|[[Arch_Stairs/ru|Лестница]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_SectionPlane.svg
|IconR=Arch_Stairs.svg
|IconC=Workbench_Arch.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru
|Name=Arch Space
|Name=Arch Space
|Name=Arch Space
|Name/ru=Arch Space
|Workbenches=[[Arch Module/ru|Arch]]
|MenuLocation=Архитектура → Пространство
|MenuLocation=Архитектура → Пространство
|Workbenches=[[Arch_Workbench/ru|Arch]]
|Shortcut=S P
|Shortcut={{KEY|S}} {{KEY|P}}
|Version=0.14
|SeeAlso=[[Arch Wall/ru]], [[Arch Structure/ru]]
}}
}}
</div>


==Description==
==Description==

The Space tool allows you to define an empty volume, either by basing it on a solid shape, or by defining its boundaries, or a mix of both. If it is based solely on boundaries, the volume is calculated by starting from the bounding box of all the given boundaries, and subtracting the spaces behind each boundary. The space object always defines a solid volume. The floor area of a space object, calculated by intersecting a horizontal plane at the center of mass of the space volume, can also be displayed, by setting the display mode of the space object to "detailed".
<div class="mw-translate-fuzzy">
==Определение==
Инструмент Пространство позволяет определить пустое пространство, базируясь на твердой оболочке, или определив границы, или и тем, и другим. Если он базируется только на границах, объем вычисляется, исходя из ограничительного блока всех заданных границ, и вычитая пространство за каждой границей. Пространственный объект всегда определяет твердотельный объём. Площадь пола пустого пространства вычисляемая пересечением горизонтальной плоскости через центр масс пустого пространства, так же может показываться установкой режима показа пространственного объекта в "detailed".
</div>


[[Image:Arch Space example.jpg|640px]]
[[Image:Arch Space example.jpg|640px]]


<div class="mw-translate-fuzzy">
In the above image, a space object is created from an existing solid object, then two wall faces are added as boundaries, and the display mode is set to "detailed" to show the floor area.
''На рисунке выше пространственный объект создан из существующего твердотельного объекта, затем две стены добавлены как границы, и режим показа установлен в "detailed" для показа занимаемой площади.''
</div>


<span id="Usage"></span>
==How to use==
==Применение==


<div class="mw-translate-fuzzy">
# Select an existing solid object, or faces on boundary objects
# Выберите существующий твердый объект или грани на граничных объектах
# Press the {{KEY|[[Image:Arch_Space.png|16px]] [[Arch Space]]}} button, or press {{KEY|S}}, {{KEY|P}} keys
# Нажмите кнопку {{KEY | [[Image: Arch_Space.png | 16px]] [[Arch Space]]}} или нажмите клавиши {{KEY | S}}, {{KEY | P}}
</div>


<span id="Limitations"></span>
==Properties==
===Ограничения===


* The boundaries properties is currently not editable via GUI.
* {{PropertyData|Base}}: The base object, if any (must be a solid)
* See the [http://forum.freecadweb.org/viewtopic.php?f=9&t=4275 forum announcement].
* {{PropertyData|Boundaries}}: A list of optional boundary elements

<span id="Properties"></span>
==Свойства==

<div class="mw-translate-fuzzy">
* {{PropertyData|Base}}: Базовый объект, если он есть (должен быть твердым)
* {{PropertyData | Boundaries}}: список необязательных граничных элементов
</div>

* {{PropertyView|Text}}: The text to show. Use $area, $label, $tag, $floor, $walls, $ceiling to insert the respective data
* {{PropertyView|FontName}}: The name of the font
* {{PropertyView|TextColor}}: The color of the text
* {{PropertyView|FontSize}}: The size of the text
* {{PropertyView|FirstLine}}: The size of the first line of text (multiplies the font size. 1 = same size, 2 = double size, etc..)
* {{PropertyView|LineSpacing}}: The space between the lines of text
* {{PropertyView|TextPosition}}: The position of the text. Leave (0,0,0) for automatic position
* {{PropertyView|TextAlign}}: The justification of the text
* {{PropertyView|Decimals}}: The number of decimals to use for calculated texts
* {{PropertyView|ShowUnit}}: Show the unit suffix or not

<span id="Options"></span>
==Опции==

* To create zones that group several spaces, use an [[Arch_BuildingPart|Arch BuildingPart]] and set its IFC type to "Spatial Zone".
* The Space object has the same display modes as other Arch and Part objects, with one more, called '''Footprint''', that displays only the bottom face of the space.


==Scripting==
==Scripting==


<div class="mw-translate-fuzzy">
The space tool can be used in python scripts and [[macros]] by using the following function:
==Программирование==
{{Emphasis|Смотрите так же:}} [[FreeCAD_Scripting_Basics/ru|Основы составления скриптов в FreeCAD]].
</div>

<div class="mw-translate-fuzzy">
Инструмент Пространства можно использовать в сценариях python и [[макросы]], используя следующую функцию:
</div>


{{Code|code=
{{Code|code=
makeSpace(objects)
Space = makeSpace(objects=None, baseobj=None, name="Space")
}}
}}


* Creates a space object from the given objects.
* Creates a {{incode|Space}} object from the given {{incode|objects}} or {{incode|baseobj}}, which can be
* Objects can be one document object, in which case it becomes the base shape of the space object, or a list of selection objects as returned by FreeCADGui.Selection.getSelectionEx(), or a list of tuples (object, subobjectname).
** one document object, in which case it becomes the base shape of the Space object, or
** a list of selection objects as returned by {{incode|FreeCADGui.Selection.getSelectionEx()}}, or
* Returns the newly created space object.
** a list of tuples {{incode|(object, subobjectname)}}


Пример:
Example:


{{Code|code=
{{Code|code=
import FreeCAD, Arch, Part
import FreeCAD, Arch

b = Part.makeBox(2,2,2)
FreeCAD.ActiveDocument.addObject("Part::Feature","Box").Shape=b
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
sp = makeSpace([FreeCAD.ActiveDocument.Box])
Box.Width = 1000
Box.Height = 1000

Space = Arch.makeSpace(Box)
Space.ViewObject.LineWidth = 2
FreeCAD.ActiveDocument.recompute()
}}
}}


After a space object is created, selected faces can be added to it with the following function:
After a space object is created, selected faces can be added to it with the following code:


{{Code|code=
{{Code|code=
import FreeCADGui
import FreeCAD, FreeCADGui, Draft, Arch

Arch.addSpaceBoundaries(sp, FreeCADGui.Selection.getSelectionEx())
points = [FreeCAD.Vector(-500, 0, 0), FreeCAD.Vector(1000, 1000, 0)]
Line = Draft.makeWire(points)
Wall = Arch.makeWall(Line, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

# Select a face of the wall
selection = FreeCADGui.Selection.getSelectionEx()
Arch.addSpaceBoundaries(Space, selection)
}}
}}


Boundaries can also be removed with:
Boundaries can also be removed, again by selecting the indicated faces:


{{Code|code=
{{Code|code=
Arch.removeSpaceBoundaries(sp, FreeCADGui.Selection.getSelectionEx())
selection = FreeCADGui.Selection.getSelectionEx()
Arch.removeSpaceBoundaries(Space, selection)
}}
}}


==Limitations==


{{Docnav/ru
* Not available below FreeCAD version 0.14
|[[Arch_SectionPlane/ru|Плоскость Сечения]]
* The boundaries properties is currently not editable via GUI
|[[Arch_Stairs/ru|Лестница]]
* See the [http://forum.freecadweb.org/viewtopic.php?f=9&t=4275 forum announcement]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_SectionPlane.svg
|IconR=Arch_Stairs.svg
|IconC=Workbench_Arch.svg
}}


{{Arch Tools navi{{#translation:}}}}
{{clear}}
{{Userdocnavi{{#translation:}}}}

<languages/>

Latest revision as of 21:34, 6 November 2023

Arch Space

Системное название
Arch Space
Расположение в меню
Архитектура → Пространство
Верстаки
Arch
Быстрые клавиши
S P
Представлено в версии
0.14
См. также
Arch Wall/ru, Arch Structure/ru

Description

Определение

Инструмент Пространство позволяет определить пустое пространство, базируясь на твердой оболочке, или определив границы, или и тем, и другим. Если он базируется только на границах, объем вычисляется, исходя из ограничительного блока всех заданных границ, и вычитая пространство за каждой границей. Пространственный объект всегда определяет твердотельный объём. Площадь пола пустого пространства вычисляемая пересечением горизонтальной плоскости через центр масс пустого пространства, так же может показываться установкой режима показа пространственного объекта в "detailed".

На рисунке выше пространственный объект создан из существующего твердотельного объекта, затем две стены добавлены как границы, и режим показа установлен в "detailed" для показа занимаемой площади.

Применение

  1. Выберите существующий твердый объект или грани на граничных объектах
  2. Нажмите кнопку Arch Space или нажмите клавиши S, P

Ограничения

Свойства

  • ДанныеBase: Базовый объект, если он есть (должен быть твердым)
  • Данные Boundaries: список необязательных граничных элементов
  • ВидText: The text to show. Use $area, $label, $tag, $floor, $walls, $ceiling to insert the respective data
  • ВидFontName: The name of the font
  • ВидTextColor: The color of the text
  • ВидFontSize: The size of the text
  • ВидFirstLine: The size of the first line of text (multiplies the font size. 1 = same size, 2 = double size, etc..)
  • ВидLineSpacing: The space between the lines of text
  • ВидTextPosition: The position of the text. Leave (0,0,0) for automatic position
  • ВидTextAlign: The justification of the text
  • ВидDecimals: The number of decimals to use for calculated texts
  • ВидShowUnit: Show the unit suffix or not

Опции

  • To create zones that group several spaces, use an Arch BuildingPart and set its IFC type to "Spatial Zone".
  • The Space object has the same display modes as other Arch and Part objects, with one more, called Footprint, that displays only the bottom face of the space.

Scripting

Программирование

Смотрите так же: Основы составления скриптов в FreeCAD.

Инструмент Пространства можно использовать в сценариях python и макросы, используя следующую функцию:

Space = makeSpace(objects=None, baseobj=None, name="Space")
  • Creates a Space object from the given objects or baseobj, which can be
    • one document object, in which case it becomes the base shape of the Space object, or
    • a list of selection objects as returned by FreeCADGui.Selection.getSelectionEx(), or
    • a list of tuples (object, subobjectname)

Пример:

import FreeCAD, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 1000
Box.Height = 1000

Space = Arch.makeSpace(Box)
Space.ViewObject.LineWidth = 2
FreeCAD.ActiveDocument.recompute()

After a space object is created, selected faces can be added to it with the following code:

import FreeCAD, FreeCADGui, Draft, Arch

points = [FreeCAD.Vector(-500, 0, 0), FreeCAD.Vector(1000, 1000, 0)]
Line = Draft.makeWire(points)
Wall = Arch.makeWall(Line, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

# Select a face of the wall
selection = FreeCADGui.Selection.getSelectionEx()
Arch.addSpaceBoundaries(Space, selection)

Boundaries can also be removed, again by selecting the indicated faces:

selection = FreeCADGui.Selection.getSelectionEx()
Arch.removeSpaceBoundaries(Space, selection)